clang 10.0.0git

Namespaces | Functions
Targets.h File Reference
`#include "clang/Basic/LangOptions.h"`
`#include "clang/Basic/MacroBuilder.h"`
`#include "clang/Basic/TargetInfo.h"`
`#include "llvm/ADT/StringRef.h"`
Include dependency graph for Targets.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
| clang
| Dataflow Directional Tag Classes.
| clang::targets

## Functions
TargetInfo * | clang::targets::AllocateTarget (const llvm::Triple &Triple, const TargetOptions &Opts)
LLVM_LIBRARY_VISIBILITY void | clang::targets::DefineStd (clang::MacroBuilder &Builder, llvm::StringRef MacroName, const clang::LangOptions &Opts)
| DefineStd - Define a macro name and standard variants. More...
LLVM_LIBRARY_VISIBILITY void | clang::targets::defineCPUMacros (clang::MacroBuilder &Builder, llvm::StringRef CPUName, bool Tuning=true)
void | clang::targets::addCygMingDefines (const LangOptions &Opts, MacroBuilder &Builder)